### Method

# CM Client remove_pusher_sync

since: 0.0.1

#### Declaration [src]

    gboolean
    cm_client_remove_pusher_sync (
      CmClient* self,
      CmPusher* pusher,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Remove a pusher from the list of pushers known for the client.

This is a synchronous method. See `cm_client_remove_pusher_async()` for an asynchronous version.

Available since: 0.0.1

#### Parameters

`pusher`

  Type: `CmPusher`

  The pusher to remove.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful otherwise `FALSE`.